org.apache.http.protocol

## Interface HttpExpectationVerifier

-     public interface HttpExpectationVerifier

  Defines an interface to verify whether an incoming HTTP request meets the target server's expectations.

  The Expect request-header field is used to indicate that particular server behaviors are required by the client.

          Expect       =  "Expect" ":" 1#expectation

          expectation  =  "100-continue" | expectation-extension
          expectation-extension =  token [ "=" ( token | quoted-string )
                                   *expect-params ]
          expect-params =  ";" token [ "=" ( token | quoted-string ) ]

  A server that does not understand or is unable to comply with any of the expectation values in the Expect field of a request MUST respond with appropriate error status. The server MUST respond with a 417 (Expectation Failed) status if any of the expectations cannot be met or, if there are other problems with the request, some other 4xx status.

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verify(HttpRequest request, HttpResponse response, HttpContext context)` Verifies whether the given request meets the server's expectations.

- - ### Method Detail

    - #### verify

          void verify(HttpRequest request,
                    HttpResponse response,
                    HttpContext context)
                      throws HttpException

      Verifies whether the given request meets the server's expectations.

      If the request fails to meet particular criteria, this method can trigger a terminal response back to the client by setting the status code of the response object to a value greater or equal to `200`. In this case the client will not have to transmit the request body. If the request meets expectations this method can terminate without modifying the response object. Per default the status code of the response object will be set to `100`.

      Parameters:
        `request` - the HTTP request.
        `response` - the HTTP response.
        `context` - the HTTP context.
      Throws:
        `HttpException` - in case of an HTTP protocol violation.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.